#pragma once
#include "Entity.h"
class CS_PeCountdown;
#define CS_ENEMY_TRACKINGBOMB_CREATENAME L"CS_enemy_trackingbomb"
class CS_Enemy_TrackingBomb :
    public Entity
{
public:
    CS_Enemy_TrackingBomb();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    float tgt_x = 0;
    float tgt_y = 0;
    int count1 = 0;
    int act_wait = 0;
    bool bExplode = false;
    void Explode();
    std::weak_ptr<CS_PeCountdown> countdown;
    std::weak_ptr<Entity> target;
};

std::shared_ptr<Entity> CreateCS_Enemy_TrackingBomb();